#ifndef _GOSTC_MEM_H_INCLUDED_
#define _GOSTC_MEM_H_INCLUDED_

#include "gostc_common.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Alloc functions with safe cleaning */

extern void* gostc_calloc(size_t nmemb, size_t size);
extern void* gostc_malloc(size_t size);
extern void  gostc_free(void *ptr);
extern void* gostc_realloc(void *ptr, size_t size);
extern void  gostc_cleanse(void *ptr, size_t size); /* fills buffer with junk */

#ifdef __cplusplus
}
#endif



#endif

